import { baseRequest } from '@/utils/request'

const request = (url, ...arg) => baseRequest(`/rotationPlan.info/` + url, ...arg)
// 轮换计划
export default {
	// 获取轮换数量预警分页
	rotationPage(data) {
		return request('rpWarnThreshold/findPage', data, 'get')
	},
	// 轮换数量阈值设置详情
	rotationSubmitForm(data) {
		return request('rpWarnThresholdconfig/detail', data, 'get')
	},
	// 轮换数量阈值设置删除
	rotationDel(data) {
		return request('rpWarnThresholdconfig/delete', data, 'post')
	},
	// 轮换数量阈值设置编辑
	rotationEdit(data) {
		return request('rpWarnThresholdconfig/edit', data, 'post')
	},
	// 轮换数量阈值设置表新增
	rotationAdd(data) {
		return request('rpWarnThresholdconfig/add', data, 'post')
	},
	// 轮换数量阈值设置表分页
	rotationDataPage(data) {
		return request('rpWarnThresholdconfig/page', data, 'get')
	},
	// 库区半月报表分页
	rotationDatePage(data) {
		return request('rpWarnBiweeklyReport/findPage', data, 'get')
	}
}
